Class | Category
In: | app/models/category.rb
Parent: | ActiveRecord::Base

Clase para los items de los menús de navegación, tanto de Irekia como de la Agencia como de los canales de la WebTV

### Methods

is_a_link? title to_class_name

### Included Modules

Sluggable

### Constants

LANGUAGES | = | ['es', 'eu', 'en']

### Public Instance methods

is_a_link?()

Indica si esta categoría es un enlace en lugar de un contenedor de noticias o páginas

[Source]

        # File app/models/category.rb, line 29
    29:   def is_a_link?
    30:     self.name.match(/\"(.+)\":(.+$)/)
    31:   end

title()

[Source]

        # File app/models/category.rb, line 34
    34:   def title
    35:     name
    36:   end

to_class_name()

[Source]

        # File app/models/category.rb, line 38
    38:   def to_class_name
    39:     if m = name_es.match(/\"(.+)\":/)
    40:       m[1].downcase.gsub(/[^a-z]/i, '')
    41:     else
    42:       name_es.downcase.gsub(/[^a-z]/i, '')
    43:     end
    44:   end

[Validate]